## org.apache.commons.configuration.tree
Class ConfigurationNodeVisitorAdapter

    java.lang.Object
      org.apache.commons.configuration.tree.ConfigurationNodeVisitorAdapter

All Implemented Interfaces:
  ConfigurationNodeVisitor

    public class ConfigurationNodeVisitorAdapter

extends Object
implements ConfigurationNodeVisitor

A simple adapter class that simplifies writing custom node visitor implementations.

This class provides dummy implementations for the methods defined in the `ConfigurationNodeVisitor` interface. Derived classes only need to override the methods they really need.

Version:
  $Id: ConfigurationNodeVisitorAdapter.java 1206464 2011-11-26 15:49:10Z oheger $
Author:
  Commons Configuration team

Constructor Summary
`ConfigurationNodeVisitorAdapter()`

Method Summary
`boolean` `terminate()` Dummy implementation of this interface method.
`void` `visitAfterChildren(ConfigurationNode node)` Empty dummy implementation of this interface method.
`void` `visitBeforeChildren(ConfigurationNode node)` Empty dummy implementation of this interface method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationNodeVisitorAdapter

    public ConfigurationNodeVisitorAdapter()

Method Detail

### visitBeforeChildren

    public void visitBeforeChildren(ConfigurationNode node)

  Empty dummy implementation of this interface method.

  Specified by:
    `visitBeforeChildren` in interface `ConfigurationNodeVisitor`
  Parameters:
    `node` - the node

### visitAfterChildren

    public void visitAfterChildren(ConfigurationNode node)

  Empty dummy implementation of this interface method.

  Specified by:
    `visitAfterChildren` in interface `ConfigurationNodeVisitor`
  Parameters:
    `node` - the node

### terminate

    public boolean terminate()

  Dummy implementation of this interface method. Returns always false.

  Specified by:
    `terminate` in interface `ConfigurationNodeVisitor`
  Returns:
    the terminate flag

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.